cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Flexera beginner

what version of FNP should i upgrade to?

hi, i'm a bit consufed!

i have an application built on FNP 11.15.0 which i have distributed to half a dozen customers.

one of the customers has been recommended to move to 11.16.2.1 and has asked me to provide an updated version of my application.

if i do that, what do my other customers need to do to their licence manager software to be able to use the new version?

as a further complication, i note that the latest release is 11.16.6 - should i really update to this version and if so, will the first customer have to update their licence manager software again?

as i really hate Visual Studio, i'd rather only update my application once to the latest release but not if it means extra work for the first customer (their IT dept doesn't take kindly to such requests!)

TIA

K

 
0 Kudos
4 Replies
Highlighted
Flexera
Flexera

Re: what version of FNP should i upgrade to?

@kenny_tilley , an upgrade for client application to FNP-11.16.2.1, would mean a mandatory update for the server and vendor daemon application to at least v11.16.2.1. As by the compatibility rule, the server and vendor daemon version must always be same or higher than the client application version.

I am not sure how your native application/business model works. But if you upgrade the license server to v11.16.2.1, the other customer (who are yet not pushing for an upgrade) can stay on the lower version - as per the backward compatibility rules.

It's always recommended to upgrade the applications (if already planned) to the latest available FNP toolkit i.e. FNP-11.16.6 (v11.17 is scheduled for the release by April 2020). A newer/higher version always includes some additional vulnerability )3rd party) fixes, along with functional bug fixes and enhancements. Hence i would recommend to upgrade to the latest version available at the time of upgrade.

 

Hope this helps.

(Anything expressed here is my own view and not necessarily that of my employer, Flexera. If my reply answers a question you have raised, please click "ACCEPT AS SOLUTION".)
0 Kudos
Highlighted
Flexera beginner

Re: what version of FNP should i upgrade to?

tks.

so i get this straight...

if i upgrade my app to 11.16.2.1:

the first customer will be happy.
the other customers will be happy as long as they don't take the upgrade. if they do take the upgrade, they will have to update their server daemon and the vendor daemon.

if i upgrade to 11.16.6, any customer that uses the updated application will have to update the server daemon and the vendor daemon.

is that correct?

if so, i understand that they will need a new vendor daemon (which i will supply) but from where do they get the new server daemon?

K
0 Kudos
Highlighted
Flexera
Flexera

Re: what version of FNP should i upgrade to?

Your understanding is correct.

You will need to rebuild your application with linking the FNP v11.16.6 libraries.  The software provider would need to provide those customers with the latest version of vendor daemon.

The respective build team should be able to help in getting the latest version of vendor daemon and lmgrd/lmadmin.

(Anything expressed here is my own view and not necessarily that of my employer, Flexera. If my reply answers a question you have raised, please click "ACCEPT AS SOLUTION".)
0 Kudos
Highlighted
Flexera beginner

Re: what version of FNP should i upgrade to?

Thanks very much.  it turns out that the primary customer is happy to go to 11.16.6 so that simplifies things!

 

K

0 Kudos